Name:           fontbox
Version:        0.1.0
Release:        2
Summary:        A Java library for parsing font files
License:        BSD
Group:          Development/Tools
Url:            http://fontbox.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/FontBox-%{version}.zip

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  dos2unix
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:        %{_tmppath}/%{name}-%{version}-buildroot

%description
Fontbox is an open source Java library for parsing font files and providing
low level data structures for accessing font information.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the fontbox library

%prep
%setup -q -n FontBox-%{version}
rm -f lib/*.jar
dos2unix docs/javadoc/stylesheet.css docs/javadoc/package-list
dos2unix licenses/%{name}/LICENSE docs/*.* docs/skin/*.* docs/skin/images/*.*
# Do these ones again because they have messed up line endings
dos2unix docs/skin/print.css docs/skin/screen.css docs/skin/basic.css
for file in docs/skin/CommonMessages_*.xml; do
    iconv -f ISO88591 -t UTF8 $file > tmp.utf8
    mv tmp.utf8 $file
done

%build
ant package javadoc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
mv docs/javadoc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/FontBox-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap net.sf.fontbox %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc docs/* licenses/%{name}/LICENSE
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.1.0-2
- Edit the description and summary
- Fix the maven package (cut and paste error)

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.1.0-1
- Initial package
